Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.time
[Java] Class BaseDuration

    java.lang.Object
      groovy.time.BaseDuration

    public abstract class BaseDuration
    extends Object

Base class for date and time durations.

Authors:
  John Wilson tug@wilson.co.uk

See Also:
  Duration

Nested Class Summary
`static class` | `BaseDuration.From`

Field Summary
`protected int` | `days`
`protected int` | `hours`
`protected int` | `millis`
`protected int` | `minutes`
`protected int` | `months`
`protected int` | `seconds`
`protected int` | `years`

Constructor Summary
`protected BaseDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`
`protected BaseDuration(int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`Date` | `getAgo()`
`int` | `getDays()`
`BaseDuration.From` | `getFrom()`
`int` | `getHours()`
`int` | `getMillis()`
`int` | `getMinutes()`
`int` | `getMonths()`
`int` | `getSeconds()`
`int` | `getYears()`
`Date` | `plus(Date date)`
`long` | `toMilliseconds()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### days

    protected final int days

### hours

    protected final int hours

### millis

    protected final int millis

### minutes

    protected final int minutes

### months

    protected final int months

### seconds

    protected final int seconds

### years

    protected final int years

Constructor Detail

### BaseDuration

    protected BaseDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

### BaseDuration

    protected BaseDuration(int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getAgo

    public Date getAgo()

### getDays

    public int getDays()

### getFrom

    public BaseDuration.From getFrom()

### getHours

    public int getHours()

### getMillis

    public int getMillis()

### getMinutes

    public int getMinutes()

### getMonths

    public int getMonths()

### getSeconds

    public int getSeconds()

### getYears

    public int getYears()

### plus

    public Date plus(Date date)

### toMilliseconds

    public long toMilliseconds()

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.